- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QScriptValue Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qscriptvalue.h.

`#include <qscriptvalue.h>`

List of all members.

## Public Types
enum | ResolveFlag { ResolveLocal = 0x00, ResolvePrototype = 0x01, ResolveScope = 0x02, ResolveFull = ResolvePrototype | ResolveScope }
enum | PropertyFlag { ReadOnly = 0x00000001, Undeletable = 0x00000002, SkipInEnumeration = 0x00000004, PropertyGetter = 0x00000008, PropertySetter = 0x00000010, QObjectMember = 0x00000020, KeepExistingFlags = 0x00000800, UserRange = 0xff000000 }
enum | SpecialValue { NullValue, UndefinedValue }
## Public Member Functions
| QScriptValue ()
| ~QScriptValue ()
| QScriptValue (const QScriptValue &other)
| QScriptValue (QScriptEngine *engine, SpecialValue val)
| QScriptValue (QScriptEngine *engine, bool val)
| QScriptValue (QScriptEngine *engine, int val)
| QScriptValue (QScriptEngine *engine, uint val)
| QScriptValue (QScriptEngine *engine, qsreal val)
| QScriptValue (QScriptEngine *engine, const QString &val)
QT_ASCII_CAST_WARN_CONSTRUCTOR | QScriptValue (QScriptEngine *engine, const char *val)
| QScriptValue (SpecialValue value)
| QScriptValue (bool value)
| QScriptValue (int value)
| QScriptValue (uint value)
| QScriptValue (qsreal value)
| QScriptValue (const QString &value)
| QScriptValue (const QLatin1String &value)
QT_ASCII_CAST_WARN_CONSTRUCTOR | QScriptValue (const char *value)
QScriptValue & | operator= (const QScriptValue &other)
QScriptEngine * | engine () const
bool | isValid () const
bool | isBool () const
bool | isBoolean () const
bool | isNumber () const
bool | isFunction () const
bool | isNull () const
bool | isString () const
bool | isUndefined () const
bool | isVariant () const
bool | isQObject () const
bool | isQMetaObject () const
bool | isObject () const
bool | isDate () const
bool | isRegExp () const
bool | isArray () const
bool | isError () const
QString | toString () const
qsreal | toNumber () const
bool | toBool () const
bool | toBoolean () const
qsreal | toInteger () const
qint32 | toInt32 () const
quint32 | toUInt32 () const
quint16 | toUInt16 () const
QVariant | toVariant () const
QObject * | toQObject () const
const QMetaObject * | toQMetaObject () const
QScriptValue | toObject () const
QDateTime | toDateTime () const
QRegExp | toRegExp () const
bool | instanceOf (const QScriptValue &other) const
bool | lessThan (const QScriptValue &other) const
bool | equals (const QScriptValue &other) const
bool | strictlyEquals (const QScriptValue &other) const
QScriptValue | prototype () const
void | setPrototype (const QScriptValue &prototype)
QScriptValue | scope () const
void | setScope (const QScriptValue &scope)
QScriptValue | property (const QString &name, const ResolveFlags &mode=ResolvePrototype) const
void | setProperty (const QString &name, const QScriptValue &value, const PropertyFlags &flags=KeepExistingFlags)
QScriptValue | property (quint32 arrayIndex, const ResolveFlags &mode=ResolvePrototype) const
void | setProperty (quint32 arrayIndex, const QScriptValue &value, const PropertyFlags &flags=KeepExistingFlags)
QScriptValue | property (const QScriptString &name, const ResolveFlags &mode=ResolvePrototype) const
void | setProperty (const QScriptString &name, const QScriptValue &value, const PropertyFlags &flags=KeepExistingFlags)
QScriptValue::PropertyFlags | propertyFlags (const QString &name, const ResolveFlags &mode=ResolvePrototype) const
QScriptValue::PropertyFlags | propertyFlags (const QScriptString &name, const ResolveFlags &mode=ResolvePrototype) const
QScriptValue | call (const QScriptValue &thisObject=QScriptValue(), const QScriptValueList &args=QScriptValueList())
QScriptValue | call (const QScriptValue &thisObject, const QScriptValue &arguments)
QScriptValue | construct (const QScriptValueList &args=QScriptValueList())
QScriptValue | construct (const QScriptValue &arguments)
QScriptValue | data () const
void | setData (const QScriptValue &data)
QScriptClass * | scriptClass () const
void | setScriptClass (QScriptClass *scriptClass)
qint64 | objectId () const
## Friends
class | QScriptEnginePrivate

## Member Enumeration Documentation

enum ResolveFlag

Search for all occurrences

Enumerator:

  ResolveLocal | Search for all occurrences
  ResolvePrototype | Search for all occurrences
  ResolveScope | Search for all occurrences
  ResolveFull | Search for all occurrences

Definition at line 60 of file qscriptvalue.h.

                         {
            ResolveLocal        = 0x00,
            ResolvePrototype    = 0x01,
            ResolveScope        = 0x02,
            ResolveFull         = ResolvePrototype | ResolveScope
        };

enum PropertyFlag

Search for all occurrences

Enumerator:

  ReadOnly | Search for all occurrences
  Undeletable | Search for all occurrences
  SkipInEnumeration | Search for all occurrences
  PropertyGetter | Search for all occurrences
  PropertySetter | Search for all occurrences
  QObjectMember | Search for all occurrences
  KeepExistingFlags | Search for all occurrences
  UserRange | Search for all occurrences

Definition at line 69 of file qscriptvalue.h.

                          {
            ReadOnly            = 0x00000001,
            Undeletable         = 0x00000002,
            SkipInEnumeration   = 0x00000004,

            PropertyGetter      = 0x00000008,
            PropertySetter      = 0x00000010,

            QObjectMember       = 0x00000020,

            KeepExistingFlags   = 0x00000800,

            UserRange           = 0xff000000            // Users may use these as they see fit.
        };

enum SpecialValue

Search for all occurrences

Enumerator:

  NullValue | Search for all occurrences
  UndefinedValue | Search for all occurrences

Definition at line 85 of file qscriptvalue.h.

                          {
            NullValue,
            UndefinedValue
        };

## Constructor & Destructor Documentation

QScriptValue | ( |  | ) |

~QScriptValue | ( |  | ) |

QScriptValue | ( | const QScriptValue & | other | ) |

QScriptValue | ( | QScriptEngine * | engine,
|  | SpecialValue | val
| ) |  |

QScriptValue | ( | QScriptEngine * | engine,
|  | bool | val
| ) |  |

QScriptValue | ( | QScriptEngine * | engine,
|  | int | val
| ) |  |

QScriptValue | ( | QScriptEngine * | engine,
|  | uint | val
| ) |  |

QScriptValue | ( | QScriptEngine * | engine,
|  | qsreal | val
| ) |  |

QScriptValue | ( | QScriptEngine * | engine,
|  | const QString & | val
| ) |  |

QT_ASCII_CAST_WARN_CONSTRUCTOR QScriptValue | ( | QScriptEngine * | engine,
|  | const char * | val
| ) |  |

QScriptValue | ( | SpecialValue | value | ) |

QScriptValue | ( | bool | value | ) |

QScriptValue | ( | int | value | ) |

QScriptValue | ( | uint | value | ) |

QScriptValue | ( | qsreal | value | ) |

QScriptValue | ( | const QString & | value | ) |

QScriptValue | ( | const QLatin1String & | value | ) |

QT_ASCII_CAST_WARN_CONSTRUCTOR QScriptValue | ( | const char * | value | ) |

## Member Function Documentation

QScriptValue& operator= | ( | const QScriptValue & | other | ) |

QScriptEngine* engine | ( |  | ) | const

Search for all occurrences

bool isValid | ( |  | ) | const

Search for all occurrences

bool isBool | ( |  | ) | const

Search for all occurrences

bool isBoolean | ( |  | ) | const

Search for all occurrences

bool isNumber | ( |  | ) | const

Search for all occurrences

bool isFunction | ( |  | ) | const

Search for all occurrences

bool isNull | ( |  | ) | const

Search for all occurrences

bool isString | ( |  | ) | const

Search for all occurrences

bool isUndefined | ( |  | ) | const

Search for all occurrences

bool isVariant | ( |  | ) | const

Search for all occurrences

bool isQObject | ( |  | ) | const

Search for all occurrences

bool isQMetaObject | ( |  | ) | const

Search for all occurrences

bool isObject | ( |  | ) | const

Search for all occurrences

bool isDate | ( |  | ) | const

Search for all occurrences

bool isRegExp | ( |  | ) | const

Search for all occurrences

bool isArray | ( |  | ) | const

Search for all occurrences

bool isError | ( |  | ) | const

Search for all occurrences

QString toString | ( |  | ) | const

Search for all occurrences

qsreal toNumber | ( |  | ) | const

Search for all occurrences

bool toBool | ( |  | ) | const

Search for all occurrences

bool toBoolean | ( |  | ) | const

Search for all occurrences

qsreal toInteger | ( |  | ) | const

Search for all occurrences

qint32 toInt32 | ( |  | ) | const

Search for all occurrences

quint32 toUInt32 | ( |  | ) | const

Search for all occurrences

quint16 toUInt16 | ( |  | ) | const

Search for all occurrences

QVariant toVariant | ( |  | ) | const

Search for all occurrences

QObject* toQObject | ( |  | ) | const

Search for all occurrences

const QMetaObject* toQMetaObject | ( |  | ) | const

Search for all occurrences

QScriptValue toObject | ( |  | ) | const

Search for all occurrences

QDateTime toDateTime | ( |  | ) | const

Search for all occurrences

QRegExp toRegExp | ( |  | ) | const

Search for all occurrences

bool instanceOf | ( | const QScriptValue & | other | ) | const

Search for all occurrences

bool lessThan | ( | const QScriptValue & | other | ) | const

Search for all occurrences

bool equals | ( | const QScriptValue & | other | ) | const

Search for all occurrences

bool strictlyEquals | ( | const QScriptValue & | other | ) | const

Search for all occurrences

QScriptValue prototype | ( |  | ) | const

Search for all occurrences

void setPrototype | ( | const QScriptValue & | prototype | ) |

Search for all occurrences

QScriptValue scope | ( |  | ) | const

Search for all occurrences

void setScope | ( | const QScriptValue & | scope | ) |

Search for all occurrences

QScriptValue property | ( | const QString & | name,
|  | const ResolveFlags & | mode = `ResolvePrototype`
| ) |  | const

Search for all occurrences

void setProperty | ( | const QString & | name,
|  | const QScriptValue & | value,
|  | const PropertyFlags & | flags = `KeepExistingFlags`
| ) |  |

Search for all occurrences

QScriptValue property | ( | quint32 | arrayIndex,
|  | const ResolveFlags & | mode = `ResolvePrototype`
| ) |  | const

Search for all occurrences

void setProperty | ( | quint32 | arrayIndex,
|  | const QScriptValue & | value,
|  | const PropertyFlags & | flags = `KeepExistingFlags`
| ) |  |

Search for all occurrences

QScriptValue property | ( | const QScriptString & | name,
|  | const ResolveFlags & | mode = `ResolvePrototype`
| ) |  | const

Search for all occurrences

void setProperty | ( | const QScriptString & | name,
|  | const QScriptValue & | value,
|  | const PropertyFlags & | flags = `KeepExistingFlags`
| ) |  |

Search for all occurrences

QScriptValue::PropertyFlags propertyFlags | ( | const QString & | name,
|  | const ResolveFlags & | mode = `ResolvePrototype`
| ) |  | const

Search for all occurrences

QScriptValue::PropertyFlags propertyFlags | ( | const QScriptString & | name,
|  | const ResolveFlags & | mode = `ResolvePrototype`
| ) |  | const

Search for all occurrences

QScriptValue call | ( | const QScriptValue & | thisObject = `QScriptValue()`,
|  | const QScriptValueList & | args = `QScriptValueList()`
| ) |  |

Search for all occurrences

QScriptValue call | ( | const QScriptValue & | thisObject,
|  | const QScriptValue & | arguments
| ) |  |

Search for all occurrences

QScriptValue construct | ( | const QScriptValueList & | args = `QScriptValueList()` | ) |

Search for all occurrences

QScriptValue construct | ( | const QScriptValue & | arguments | ) |

Search for all occurrences

QScriptValue data | ( |  | ) | const

Search for all occurrences

void setData | ( | const QScriptValue & | data | ) |

Search for all occurrences

QScriptClass* scriptClass | ( |  | ) | const

Search for all occurrences

void setScriptClass | ( | QScriptClass * | scriptClass | ) |

Search for all occurrences

qint64 objectId | ( |  | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QScriptEnginePrivate `[friend]`

Search for all occurrences

Definition at line 213 of file qscriptvalue.h.

The documentation for this class was generated from the following file:

- QtScript/qscriptvalue.h

QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue
QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue QScriptValue